Powershoot g10 and latest CHDK installation firmware problem - page 2 - General Help and Assistance on using CHDK stable releases - CHDK Forum

Powershoot g10 and latest CHDK installation firmware problem

  • 13 Replies
  • 4899 Views
Re: Powershoot g10 and latest CHDK installation firmware problem
« Reply #10 on: 10 / June / 2012, 18:52:07 »
Advertisements
Correct. Yes.
Doesn't sound like you have created a bootable SD card then.
Ported :   A1200    SD940   G10    Powershot N    G16

Re: Powershoot g10 and latest CHDK installation firmware problem
« Reply #11 on: 11 / June / 2012, 03:29:55 »
mmm, according to SDMinst app, by looking the debug log, it was actually created...

It is indeed this whole process a pain in the nack.

So, if for any reason the SD card is NOT a bootable card, it will NOT work for the update process?

Also, in order to perform the firmware update, my question is as follow:

Since when I try to update I get message from v 1.0.3.0 to v 1.1.0.0, because I get a dark window, probably the CHDK is NOT the correct version? To perform this update do I have to use the SAME Canon firmware currently installed? (so if I have canon 1.0.3 i MUST use CHDK 1.0.3.x as well)???? Or a higher CHDK version will also work (ie. 1.0.4)? But again, why the monitor get dark during the upgrade process ( I have tried using CHDK 1.0.4a full).


Re: Powershoot g10 and latest CHDK installation firmware problem
« Reply #12 on: 11 / June / 2012, 08:32:07 »
So, if for any reason the SD card is NOT a bootable card, it will NOT work for the update process?
No - it does not require a bootable card to work for the update process.   However,  a bootable card needs to be formatted FAT16 for the G10 - the firmware update process will work from a FAT32 formatted card.

Quote
Since when I try to update I get message from v 1.0.3.0 to v 1.1.0.0, because I get a dark window, probably the CHDK is NOT the correct version?
I think so.  The camera sees the ps.fi2 file on the SD card and tried to load and then execute it.  It seems tbe crashing at that point - indicating either the wrong firmware version or a somehow corrupted ps.fi2 file.

What kind of SD card (make & speed) are you using ?

Quote
To perform this update do I have to use the SAME Canon firmware currently installed? (so if I have canon 1.0.3 i MUST use CHDK 1.0.3.x as well)????
Yes.   100% guaranteed.

Quote
Or a higher CHDK version will also work (ie. 1.0.4)? But again, why the monitor get dark during the upgrade process ( I have tried using CHDK 1.0.4a full).
The different numbers are there to match the firmware in the camera - they come from the same source code and so are not a "higher CHDK version".

You could try the 1.02A ?  There are only 3 know firmware versions of the G10 so you would have tried all three ( as the 1.00F & 1.00H versions can be updated to 1.02A using a Canon provided update utility).   If that doesn't work then you must be corrupting the ps.fi2 file somehow ?

Ported :   A1200    SD940   G10    Powershot N    G16

Re: Powershoot g10 and latest CHDK installation firmware problem
« Reply #13 on: 11 / June / 2012, 11:26:13 »
OK, by using the set and display bottom I saw that I have firmware 1.0.3b.

As consequence I will run 1.03 g10-103b-1.0.0-1905-full.zip from the SD card and I hope it will work.
I will do that sometimes this week.

I will let you know how it goes
thanks
puffo


 

Related Topics